Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class LocalDataPartitioner

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.LocalDataPartitioner

public class LocalDataPartitioner extends Object

## Constructor Summary

Constructors
Constructor
Description
`LocalDataPartitioner(Statement.PSScheme scheme)`

## Method Summary

Modifier and Type
Method
Description
`DataPartitionLocalScheme.Result`
`doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalDataPartitioner

public LocalDataPartitioner(Statement.PSScheme scheme)

## Method Details

### doPartitioning

public DataPartitionLocalScheme.Result doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)